%if 0%{?with_debug}
%global _dwz_low_mem_die_limit 0
%else
%global debug_package   %{nil}
%endif

%if ! 0%{?gobuild:1}
%define gobuild(o:) go build -ldflags "${LDFLAGS:-} -B 0x$(head -c20 /dev/urandom|od -An -tx1|tr -d ' \\n')" -a -v -x %{?**};
%endif

%global provider        github
%global provider_tld    com
%global project         tools
%global repo            godep
# https://github.com/tools/godep
%global provider_prefix %{provider}.%{provider_tld}/%{project}/%{repo}
%global import_path     %{provider_prefix}
%global commit          87459a09c357c1fd4be9f5d3b1744b1e66a83592
%global shortcommit     %(c=%{commit}; echo ${c:0:7})

Name:           %{repo}
Version:        62
Release:        9%{?dist}
Summary:        Dependency tool for go
License:        BSD
URL:            https://%{provider_prefix}
Source0:        https://%{provider_prefix}/archive/%{commit}/%{repo}-%{shortcommit}.tar.gz

Patch0:         use-system-golang-packages.patch

# e.g. el6 has ppc64 arch without gcc-go, so EA tag is required
ExclusiveArch:  %{?go_arches:%{go_arches}}%{!?go_arches:%{ix86} x86_64 %{arm}}
# If go_compiler is not set to 1, there is no virtual provide. Use golang instead.
BuildRequires: %{?go_compiler:compiler(go-compiler)}%{!?go_compiler:golang}

%description
%{summary}

{?enable_gotoolset7}

%prep
%setup -q -n %{repo}-%{commit}

%build
mkdir -p src/github.com/tools
ln -s ../../../ src/github.com/tools/godep

export GOPATH=$(pwd):$(pwd)/Godeps/_workspace:%{gopath}

%gobuild -o bin/godep %{import_path}

%install
install -d -p %{buildroot}%{_bindir}
install -p -m 0755 bin/godep %{buildroot}%{_bindir}

#define license tag if not already defined
%{!?_licensedir:%global license %doc}

%files
%license License
%doc Changelog.md Readme.md
%{_bindir}/godep

%changelog
* Mon Jul 30 2018 Florian Weimer <fweimer@redhat.com> - 62-9
- Rebuild with fixed binutils

* Thu Jul 26 2018 Jan Chaloupka <jchaloup@redhat.com> - 62-8
- Build from vendored dependencies
  resolves: #1597730

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 62-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Oct 04 2017 Troy Dawson <tdawson@redhat.com> - 62-6
- Cleanup spec file conditionals

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 62-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 62-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 62-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jul 21 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 62-2
- https://fedoraproject.org/wiki/Changes/golang1.7

* Wed Apr 27 2016 jchaloup <jchaloup@redhat.com> - 62-1
- Bump to v62
  resolves: #1330932

* Sat Feb 27 2016 jchaloup <jchaloup@redhat.com> - 27-4
- Support CentOS as well

* Mon Feb 22 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 27-3
- https://fedoraproject.org/wiki/Changes/golang1.6

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 27-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Nov 07 2015 jchaloup <jchaloup@redhat.com> - 27-1
- Update to v27
  related: #1278803

* Thu Oct 15 2015 jchaloup <jchaloup@redhat.com> - 17-1
- First package for Fedora
  resolves: #1278803
